## kpublictransport 25.08.2+p24.04+vstable+git20251010.0714

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vstable+git20251010.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:14:40 +0000
