## kpublictransport 25.08.2+p24.04+vstable+git20251031.0953

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vstable+git20251031.0953-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:54:02 +0000
