## kpublictransport 25.08.2+p24.04+vunstable+git20251015.1130

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vunstable+git20251015.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:30:47 +0000
