=== debian/control ===
Source: kpublictransport
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               doxygen,
               flex,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-networkmanager-qt-dev,
               libprotobuf-dev,
               osmctools,
               pkg-kde-tools-neon,
               pkgconf,
               protobuf-compiler,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/kpublictransport.git/
Vcs-Git: https://invent.kde.org/neon/extras/kpublictransport.git
Vcs-Browser: https://invent.kde.org/neon/extras/kpublictransport
Maintainer: Neon CI <neon@kde.org>

Package: libkpublictransport-dev
Section: libdevel
Architecture: any
Depends: libkpublictransport1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: libkpublictransport1 (<< 24.02.0-1)
Replaces: libkpublictransport1 (<< 24.02.0-1)
Description: library to access public transport timetables - development files
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.
 .
 This package contains the development files.

Package: libkpublictransport1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to assist with accessing public transport timetables
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.

Package: qml6-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Depends: kf6-kirigami-addons,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to assist with accessing public transport timetables
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.
 .
 Qt Quick Module.
