=== debian/changelog ===
kpublictransport (25.08.3+p24.04+vunstable+git20251202.2241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:41:12 +0000
