=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
 ecm_add_test(platformtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(notestest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(backendtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+set_property(TEST backendtest PROPERTY RUN_SERIAL 1)
 ecm_add_test(linemetadatatest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(networkconfigtest.cpp LINK_LIBRARIES Qt::Test)
 ecm_add_test(vehiclelayoutquerymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
@@ -57,7 +58,9 @@
 ecm_add_test(motis2parsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport KF6::I18nLocaleData)
 
 ecm_add_test(publictransportmanagertest.cpp mocknetworkaccessmanager.cpp TEST_NAME publictransportmanagertest LINK_LIBRARIES Qt::Network Qt::Test KPublicTransport)
+set_property(TEST publictransportmanagertest PROPERTY RUN_SERIAL 1)
 ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+set_property(TEST cachetest PROPERTY RUN_SERIAL 1)
 ecm_add_test(gbfstest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(accessibilitycloudtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
