=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -94,6 +94,7 @@
     datatypes/platformutils.cpp
     datatypes/rentalvehicle.cpp
     datatypes/rentalvehicleutil.cpp
+    datatypes/stopinformation.cpp
     datatypes/stopover.cpp
     datatypes/stopoverutil.cpp
     datatypes/timeutil.cpp
@@ -227,6 +228,7 @@
         RentalVehicle
         Path
         Platform
+        StopInformation
         Stopover
         Vehicle
     PREFIX KPublicTransport
