=== src/quick/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
         "QtNetwork"
         "QtQuick"
         "QtQuick.Controls"
+        "QtLocation"
+        "QtPositioning"
         "org.kde.kirigami"
         "org.kde.kirigamiaddons.delegates"
         "org.kde.i18n.localeData"
@@ -46,6 +48,8 @@
     PATH private
     SOURCES
         private/CountryComboBox.qml
+        private/CurrentLocationDelegate.qml
+        private/globals.js
 )
 
 target_link_libraries(kpublictransportquickplugin
